
import import_declare_test

from splunktaucclib.rest_handler.endpoint import (
    field,
    validator,
    RestModel,
    SingleModel,
)
from splunktaucclib.rest_handler import admin_external, util
from splunktaucclib.rest_handler.admin_external import AdminExternalHandler
import logging

util.remove_http_proxy_env_vars()


fields = [
    field.RestField(
        'description',
        required=False,
        encrypted=False,
        default=None,
        validator=validator.AllOf(
            validator.String(
                max_len=100, 
                min_len=1, 
            ), 
            validator.Pattern(
                regex=r"""^.*$""", 
            )
        )
    ), 
    field.RestField(
        'ui_min_object_width',
        required=True,
        encrypted=False,
        default='300',
        validator=validator.Pattern(
            regex=r"""^[0-9]*$""", 
        )
    ), 
    field.RestField(
        'ui_expand_metrics',
        required=True,
        encrypted=False,
        default='0',
        validator=None
    ), 
    field.RestField(
        'outliers_set_state',
        required=True,
        encrypted=False,
        default='1',
        validator=None
    ), 
    field.RestField(
        'data_sampling_set_state',
        required=True,
        encrypted=False,
        default='1',
        validator=None
    ), 
    field.RestField(
        'data_sampling_obfuscation',
        required=True,
        encrypted=False,
        default='0',
        validator=None
    ), 
    field.RestField(
        'adaptive_delay',
        required=True,
        encrypted=False,
        default='1',
        validator=None
    ), 
    field.RestField(
        'cmdb_lookup',
        required=True,
        encrypted=False,
        default='1',
        validator=None
    )
]
model = RestModel(fields, name=None)


endpoint = SingleModel(
    'trackme_vtenants',
    model,
    config_name='vtenants'
)


if __name__ == '__main__':
    logging.getLogger().addHandler(logging.NullHandler())
    admin_external.handle(
        endpoint,
        handler=AdminExternalHandler,
    )
